Subject: Re: What's cooking in git.git (May 2026, #03)

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 May 2026 10:46:27 +0900

Pushkar Singh <[email-masked]> writes:

> My thinking was mainly that git stash show normally omits untracked
> changes, while --include-untracked consults the additional untracked
> parent of the stash commit.
>
> I did not see existing coverage specifically checking that behavior,

Ah, OK.  Please more explicitly state that it is filling a gap in
test coverage in the proposed log message; it would have helped to
sell the patch better.  Adding even more when we already have
adequate coverage is one thing, covering the cases we had no
coverage is totally different matter.

Thanks.